> ## Documentation Index
> Fetch the complete documentation index at: https://developer.instantly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an enrichment

> Create an enrichment for a specific resource (list or campaign). This is the main endpoint for adding enrichments to resources. The enrichments are automatically run after creation.



## OpenAPI

````yaml https://api.instantly.ai/openapi/api_v2.json post /api/v2/supersearch-enrichment
openapi: 3.1.0
info:
  title: API Explorer
  description: >-
    The entire API V2 documentation is interactive and can be tested here. To
    the right side of every endpoint you will see a box with an example request.
    You can click on the "Try it" button to send a request to the server right
    from the docs. You will need to provide an API key by clicking the
    `ApiKeyAuth_token` blue text.
  version: 2.0.0
servers:
  - url: https://api.instantly.ai
    description: Instantly API Server
security:
  - ApiKeyAuth: []
tags:
  - name: Analytics
    description: Endpoints related to analytics
    x-displayName: Analytics
  - name: OAuth
    description: >-
      OAuth authentication endpoints for connecting Google and Microsoft email
      accounts
    x-displayName: OAuth
  - name: Account
    description: An email account that can be used to send campaigns
    x-displayName: Account
  - name: Campaign
    description: A campaign that can be sent to a list of recipients
    x-displayName: Campaign
  - name: Email
    description: >-
      A campaign email, a reply, a manually sent email, or any other email
      that's visible in the Unibox
    x-displayName: Email
  - name: EmailVerification
    description: A single email verification
    x-displayName: Email Verification
  - name: LeadList
    description: A list used to store leads
    x-displayName: Lead List
  - name: InboxPlacementTest
    description: An inbox placement test
    x-displayName: Inbox Placement Test
  - name: InboxPlacementAnalytics
    description: Analytics data for individual emails in inbox placement tests
    x-displayName: Inbox Placement Analytics
  - name: InboxPlacementBlacklist&SpamAssassinReport
    description: Report data for an inbox placement test
    x-displayName: Inbox Placement Blacklist & SpamAssassin Report
  - name: APIKey
    description: API Key
    x-displayName: API Key
  - name: AccountCampaignMapping
    description: Account Campaign Mapping
    x-displayName: Account Campaign Mapping
  - name: Lead
    description: A lead entity representing an individual lead
    x-displayName: Lead
  - name: BackgroundJob
    description: A background job that can be used to perform long-running tasks
    x-displayName: Background Job
  - name: CustomTag
    description: >-
      A custom tag for organizing and categorizing accounts and campaigns. You
      can use them as filters in apis that list accounts and campaigns.
    x-displayName: Custom Tag
  - name: CustomTagMapping
    description: >-
      This entity represents a tag being assigned to a specific campaign or
      email account. When an email account is assigned a tag, a new custom tag
      mapping entry is created, which connects the tag (`tag_id` field) with the
      email account (`resource_id` field). You can use it to see which tag si
      connected to which resource.
    x-displayName: Custom Tag Mapping
  - name: BlockListEntry
    description: A blocked email or domain
    x-displayName: Block List Entry
  - name: LeadLabel
    description: A custom label for categorizing and managing leads
    x-displayName: Lead Label
  - name: Workspace
    description: A workspace entity representing a workspace
    x-displayName: Workspace
  - name: SuperSearchEnrichment
    description: >-
      An enrichment can take different forms, such as email enrichment or
      LinkedIn enrichment. Leads may be imported from SuperSearch using the
      dedicated endpoint, or enriched directly within a list or campaign by
      attaching an enrichment to it.
    x-displayName: SuperSearch Enrichment
  - name: WorkspaceGroupMember
    description: >-
      A member of a workspace group. You can use the endpoints within this
      entity to manage the members of a workspace group.
    x-displayName: Workspace Group Member
  - name: WorkspaceMember
    description: A member of a workspace with associated user details
    x-displayName: Workspace Member
  - name: CampaignSubsequence
    description: A subsequence entity representing a follow-up sequence
    x-displayName: Campaign Subsequence
  - name: AuditLog
    description: Audit log records for tracking system activities
    x-displayName: Audit Log
  - name: Webhook
    description: A webhook subscription for receiving event notifications
    x-displayName: Webhook
  - name: WebhookEvent
    description: A webhook event that was sent or attempted to be sent
    x-displayName: Webhook Event
  - name: DFYEmailAccountOrder
    description: A Done-For-You email account order
    x-displayName: DFY Email Account Order
  - name: CustomPromptTemplate
    description: Custom prompt templates for creating custom prompts
    x-displayName: Custom Prompt Template
  - name: SalesFlow
    description: >-
      Manages how sales users view and interact with campaign and lead lists
      within the sales flow.
    x-displayName: Sales Flow
  - name: EmailTemplate
    description: A campaign email template
    x-displayName: Email Template
  - name: WorkspaceBilling
    description: Workspace Billing
    x-displayName: Workspace Billing
  - name: CRMActions
    description: CRM related actions
    x-displayName: CRM Actions
paths:
  /api/v2/supersearch-enrichment:
    post:
      tags:
        - SuperSearchEnrichment
      summary: Create an enrichment
      description: >-
        Create an enrichment for a specific resource (list or campaign). This is
        the main endpoint for adding enrichments to resources. The enrichments
        are automatically run after creation.
      operationId: createSuperSearchEnrichment
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - resource_id
              properties:
                resource_id:
                  type: string
                  format: uuid
                  description: Unique identifier for the resource (list or campaign)
                  example: 01234567-89ab-cdef-0123-456789abcdef
                type:
                  type: string
                  description: Enrichment type to add to the resource
                  enum:
                    - work_email_enrichment
                    - fully_enriched_profile
                    - email_verification
                    - joblisting
                    - technologies
                    - news
                    - funding
                    - engagement_score
                    - ai_enrichment
                    - custom_flow
                  x-enumDescriptions:
                    work_email_enrichment: Work Email Enrichment
                    fully_enriched_profile: LinkedIn Enrichment
                    email_verification: Email Verification
                    joblisting: Job Listing Enrichment
                    technologies: Technologies Enrichment
                    news: News Enrichment
                    funding: Funding Enrichment
                    ai_enrichment: AI Enrichment
                    custom_flow: Custom Flow Enrichment
                  example: email_verification
                limit:
                  type: number
                  description: Maximum number of leads to enrich.
                  minimum: 1
                  maximum: 50000
                  example: 100
                filters:
                  type: array
                  description: Filters to apply to the enrichment
                  items:
                    type: object
                custom_flow:
                  type: array
                  description: Custom flow to apply to the enrichment
                  items:
                    type: string
                    example: instantly
                integration_actions:
                  type: object
                  description: >-
                    Provider-keyed integration actions to run against the
                    resource. Mutually exclusive with `type` — either run a
                    built-in enrichment via `type` or supply
                    `integration_actions` to run one or more provider actions.
                    Outer keys are provider IDs (e.g. `findymail`, `apify`);
                    inner keys are action IDs offered by that provider (e.g.
                    `findymail_find_email`). Each action requires a `mapping`
                    object whose keys are the action's declared input fields and
                    whose values are the lead column names to read from.
                  minProperties: 1
                  additionalProperties:
                    type: object
                    minProperties: 1
                    additionalProperties:
                      type: object
                      required:
                        - mapping
                      properties:
                        mapping:
                          type: object
                          description: Maps action input field keys to lead column names
                          additionalProperties:
                            type: string
                            example: firstName
                  example:
                    findymail:
                      findymail_find_email:
                        mapping:
                          first_name: firstName
                          last_name: lastName
                          domain: website
        required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Unique identifier for the enrichment
                    example: 01234567-89ab-cdef-0123-456789abcdef
                  limit:
                    type: number
                    description: The maximum number of leads to enrich
                    example: 100
                  organization_id:
                    type: string
                    format: uuid
                    description: Organization ID that created this enrichment
                    example: 01234567-89ab-cdef-0123-456789abcdef
                  resource_id:
                    type: string
                    format: uuid
                    description: Unique identifier for the entity to enrich leads into
                    example: 01234567-89ab-cdef-0123-456789abcdef
                  enrichment_payload:
                    type: object
                    description: The enrichment configuration payload
                    properties:
                      joblisting:
                        type: boolean
                        description: Whether job listing enrichment is enabled
                        example: true
                      email_verification:
                        type: boolean
                        description: Whether email verification is enabled
                        example: true
                      work_email_enrichment:
                        type: boolean
                        description: Whether work email enrichment is enabled
                        example: true
                      fully_enriched_profile:
                        type: boolean
                        description: Whether fully enriched profile is enabled
                        example: true
                      custom_flow:
                        type: array
                        items:
                          type: string
                          example: instantly
                    additionalProperties: true
                required:
                  - id
                  - organization_id
                  - resource_id
                additionalProperties: false
        '401':
          description: >-
            This request is unauthorized (either the Authorization header is
            missing or invalid, or the API key has been revoked)
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 401
                    example: 401
                  error:
                    type: string
                    enum:
                      - Unauthorized
                    example: Unauthorized
                  message:
                    type: string
                    example: Missing Authorization header
                required:
                  - statusCode
                  - error
                  - message
        '402':
          description: >-
            This request cannot be fulfilled because the workspace does not have
            an active paid plan
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 402
                    example: 402
                  error:
                    type: string
                    enum:
                      - Payment Required
                    example: Payment Required
                  message:
                    type: string
                    example: Workspace does not have an active paid plan
                required:
                  - statusCode
                  - error
                  - message
        '404':
          description: The requested resource was not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 404
                    example: 404
                  error:
                    type: string
                    enum:
                      - Not Found
                    example: Not Found
                  message:
                    type: string
                    example: Resource not found
                required:
                  - statusCode
                  - error
                  - message
        '429':
          description: >-
            You have exceeded the rate limit. Please check the rate limit docs
            for more information.
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 429
                    example: 429
                  error:
                    type: string
                    enum:
                      - Too Many Requests
                    example: Too Many Requests
                  message:
                    type: string
                    example: Rate limit exceeded
                required:
                  - statusCode
                  - error
                  - message
components:
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer

````